# Uses of Interface
org.opensaml.saml.saml2.core.RequesterID

Packages that use RequesterID
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of RequesterID in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type RequesterID
Modifier and Type
Method
Description
`List<RequesterID>`
Scoping.`getRequesterIDs()`
Gets the list of RequesterID's.

## Uses of RequesterID in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement RequesterID
Modifier and Type
Class
Description
`class`
`RequesterIDImpl`
Concrete implementation of `RequesterID`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type RequesterID
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<RequesterID>`
ScopingImpl.`requesterIDs`
List of RequesterID child elements.
Methods in org.opensaml.saml.saml2.core.impl that return RequesterID
Modifier and Type
Method
Description
`RequesterID`
RequesterIDBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`RequesterID`
RequesterIDBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type RequesterID
Modifier and Type
Method
Description
`List<RequesterID>`
ScopingImpl.`getRequesterIDs()`
Gets the list of RequesterID's.